Package org.bukkit.block.data.type

# Interface Comparator

All Superinterfaces:
  `BlockData`, `Cloneable`, `Directional`, `Powerable`

public interface Comparator extends Directional, Powerable
'mode' indicates what mode this comparator will operate in.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`Comparator.Mode`
The mode in which a comparator will operate in.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Comparator.Mode`
`getMode()`
Gets the value of the 'mode' property.
`void`
`setMode(@NotNull Comparator.Mode mode)`
Sets the value of the 'mode' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Directional

`getFaces, getFacing, setFacing`

### Methods inherited from interface org.bukkit.block.data.Powerable

`isPowered, setPowered`

## Method Details

### getMode

@NotNull @NotNull Comparator.Mode getMode()
Gets the value of the 'mode' property.

Returns:
  the 'mode' value

### setMode

void setMode(@NotNull @NotNull Comparator.Mode mode)
Sets the value of the 'mode' property.

Parameters:
  `mode` - the new 'mode' value